Source Code of iReader v1.11

Discussion in 'Supercard SDK' started by discuz2011, Dec 17, 2010.

Dec 17, 2010
    • Newcomer

    discuz2011 New Member

    Member Since:
    Dec 17, 2010
    Message Count:
    5
    Country:
    United States
    • Member

    Schicksalsheld New Member

    Member Since:
    Aug 29, 2009
    Message Count:
    118
    Country:
    Germany
    iReader is an Document and Picture Viewer...
    • Member

    9th_Sage New Member

    Member Since:
    Apr 30, 2008
    Message Count:
    1,481
    Country:
    United States
    It appears he just got the descriptions mixed up (because of the 'i' prefix maybe).
    • Member

    Buleste Old Fart

    Member Since:
    Dec 19, 2010
    Message Count:
    850
    Country:
    United Kingdom
    I've been looking at the source code and the pdf viewer uses a customised version of sumatrapdf does anyone know which version (the latest is 1.2) and can the latest version be used in a new version of iReader (I want to get rid of the missing 'T' in the pdf fonts for ireader and see if the pdf viewer can be made more stable).
    • Member

    Buleste Old Fart

    Member Since:
    Dec 19, 2010
    Message Count:
    850
    Country:
    United Kingdom
    I'm in need of some help with recompiling iReader after some minor changes to fix a font issue in the pdf reader side of the application.

    Whenever I try to compile I get this error message

    Now I know that this error is to do with freetype-2.3.9 and I've had a google around but I cannot find any answers that make any sense. Can anyone help please?
    • Member

    BassAceGold Testicles

    Member Since:
    Aug 14, 2006
    Message Count:
    494
    Country:
    Canada
    Can you compile anything else with the SDK? I'm sure I have managed to compile iReader with no problems.
    • Member

    Buleste Old Fart

    Member Since:
    Dec 19, 2010
    Message Count:
    850
    Country:
    United Kingdom
    I followed the install SDK onto Ubuntu and everything went fine including compiling the example so AFAIK it's all perfect.

    EDIT: O.K. I've tried to compile a clean version of the iReader source and get the same message. I've also as a test tried to compile the basic SNES emulator as well at it's given me the general "Please set DS2SDKPATH in your environment: export DS2SDKPATH=ds2sdk" which I have already set so I think that something may be missing from my install even though AFAIK I've done everything right.
    • Member

    2-bias New Member

    Member Since:
    Jul 30, 2009
    Message Count:
    142
    Location:
    Germany
    Country:
    Germany
    Can someone please add ARG() support to iReader?

    edit: forget it, i just noticed there is a newer version of ireader [IMG]
    • Member

    Boriar New Member

    Member Since:
    Sep 22, 2008
    Message Count:
    307
    Location:
    Spain
    Country:
    Spain
    What new version are you refered?
    • Member

    2-bias New Member

    Member Since:
    Jul 30, 2009
    Message Count:
    142
    Location:
    Germany
    Country:
    Germany
    v1.12 http://eng.supercard.sc/manual/dstwo/plugin/ireader.htm
    The source is just for v1.11
    • Member

    Boriar New Member

    Member Since:
    Sep 22, 2008
    Message Count:
    307
    Location:
    Spain
    Country:
    Spain
    Thanks for the info, but i allready know about 1.12. That version don't support arg() that was the interesting thing and when you said this... [IMG]
    Well, btw thanks for your reaply.
    • Member

    2-bias New Member

    Member Since:
    Jul 30, 2009
    Message Count:
    142
    Location:
    Germany
    Country:
    Germany
    No, i asked for arg() support before i noticed that the source is not from the 1.12 version. So there is no need for adding arg() support to this version.
    I don't get it why the Supercard Team isn't releasing the new source. [IMG]

SPONSORED LINKS
 

Share This Page